Subject: Re: bug#65356: 30.0.50; [wishlist] Support Tramp method, user name and host name completion in eshell

From: Jim Porter <[email-masked]>
Date: Tue, 22 Aug 2023 17:30:37 -0700

On 8/20/2023 3:53 AM, Michael Albinus wrote:
> As POC, I've written the appended patch. It works for me in a simple
> case, but I'm pretty sure it needs to handle more cases. Since I'm not
> so familiar with Eshell, I let it to you :-)
> 
> ... unless you say it is sufficient ATM.

Let's just go with the change to add 'pcomplete-remote-file-ignore' for 
now. I'll have to think more about how Eshell can selectively ignore 
remote files correctly in all cases; there are a bunch of areas where 
Eshell could be smarter about completion already, and I have the feeling 
they'll conflict with each other if we don't plan this out carefully...